<?php

namespace DevOwl\RealPhysicalMedia;

use DevOwl\RealPhysicalMedia\Vendor\MatthiasWeb\Utils\Constants;
use DevOwl\RealPhysicalMedia\Vendor\MatthiasWeb\Utils\Localization as UtilsLocalization;
use DevOwl\RealPhysicalMedia\base\UtilsProvider;
// @codeCoverageIgnoreStart
\defined('ABSPATH') or die('No script kiddies please!');
// Avoid direct file request
// @codeCoverageIgnoreEnd
/**
 * i18n management for backend and frontend.
 * @internal
 */
class Localization
{
    use UtilsProvider;
    use UtilsLocalization;
    /**
     * Get the directory where the languages folder exists.
     *
     * @param string $type
     * @return string[]
     */
    protected function getPackageInfo($type)
    {
        if ($type === Constants::LOCALIZATION_BACKEND) {
            return [RPM_PATH . '/languages', RPM_TD];
        } else {
            return [RPM_PATH . '/' . Constants::LOCALIZATION_PUBLIC_JSON_I18N, RPM_TD];
        }
    }
}
